Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMType.ImplDetails

    java.lang.Object
      com.sun.mdm.index.parser.EDMType.ImplDetails

Enclosing class:
  EDMType

class EDMType.ImplDetails
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `enableSecurity` String debugFlag = "true"; String debugDest = "console";
`(package private) java.lang.String` | `masterControllerJndiName`
`(package private) java.lang.String` | `objectSensitivePlugInClass`
`(package private) java.lang.String` | `reportgeneratorJndiName`
`(package private) java.lang.String` | `usercodeJndiName`
`(package private) java.lang.String` | `validationServiceJndiName`

Constructor Summary
`(package private)` | `EDMType.ImplDetails()`

Method Summary
`(package private) java.lang.String` | `getEnableSecurity()` This field is no longer used.
`(package private) java.lang.String` | `getMasterControllerJndiName()`
`(package private) java.lang.String` | `getReportgeneratorJndiName()`
`(package private) java.lang.String` | `getUsercodeJndiName()`
`(package private) java.lang.String` | `getValidationServiceJndiName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enableSecurity

    java.lang.String enableSecurity

  String debugFlag = "true"; String debugDest = "console";

### masterControllerJndiName

    java.lang.String masterControllerJndiName

### objectSensitivePlugInClass

    java.lang.String objectSensitivePlugInClass

### reportgeneratorJndiName

    java.lang.String reportgeneratorJndiName

### usercodeJndiName

    java.lang.String usercodeJndiName

### validationServiceJndiName

    java.lang.String validationServiceJndiName

Constructor Detail

### EDMType.ImplDetails

    EDMType.ImplDetails()

Method Detail

### getEnableSecurity

    java.lang.String getEnableSecurity()

  This field is no longer used.

  Returns:
    String getDebugDest() { return debugDest; }

### getMasterControllerJndiName

    java.lang.String getMasterControllerJndiName()

### getReportgeneratorJndiName

    java.lang.String getReportgeneratorJndiName()

### getUsercodeJndiName

    java.lang.String getUsercodeJndiName()

### getValidationServiceJndiName

    java.lang.String getValidationServiceJndiName()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.